# Enterprise Group Services Endpoints from `group-services-enterprise` routes module. ## Create enterprise group service - [POST /v1/enterprise-group-services](https://timify-dev-api.redocly.app/apis/openapi/enterprise-group-services/postv1enterprisegroupservices.md): Create a new enterprise-level group service. ## List enterprise group services - [GET /v1/enterprise-group-services](https://timify-dev-api.redocly.app/apis/openapi/enterprise-group-services/getv1enterprisegroupservices.md): These are services like courses, workshops or events that are offered for more than 1 attendee. ## List enterprise group service categories - [GET /v1/enterprise-group-services/categories](https://timify-dev-api.redocly.app/apis/openapi/enterprise-group-services/getv1enterprisegroupservicescategories.md): List enterprise group service categories. ## Create enterprise group service category - [POST /v1/enterprise-group-services/categories](https://timify-dev-api.redocly.app/apis/openapi/enterprise-group-services/postv1enterprisegroupservicescategories.md): Create a new enterprise group service category. ## Delete enterprise group service category - [DELETE /v1/enterprise-group-services/categories/{categoryId}](https://timify-dev-api.redocly.app/apis/openapi/enterprise-group-services/deletev1enterprisegroupservicescategoriesbycategoryid.md): The URL parameter "categoryId" can be used in two ways: - use the unique ID of the group service category assigned by TIMIFY ("categoryId"). In this case, you don't need the QUERY parameter "external" - use the "externalId" that you added to this group service category. In this case, you need to add the parameter "external" ( for ex.: /?external=1) so the Developer API will search by your "externalId" and not by "categoryId" assigned by TIMIFY You can add "externalId" to the group service with the Developer API endpoints POST /group-services/caetgories and PATCH /group-service/categories/:categoryId ## Fetch enterprise service group category - [GET /v1/enterprise-group-services/categories/{categoryId}](https://timify-dev-api.redocly.app/apis/openapi/enterprise-group-services/getv1enterprisegroupservicescategoriesbycategoryid.md): The URL parameter "categoryId" can be used in two ways: - use the unique ID of the group service category assigned by TIMIFY ("categoryId"). In this case, you don't need the QUERY parameter "external" - use the "externalId" that you added to this group service category. In this case, you need to add the parameter "external" ( for ex.: /?external=1) so the Developer API will search by your "externalId" and not by "categoryId" assigned by TIMIFY You can add "externalId" to the service category with the Developer API endpoints POST /services/categories and PATCH /services/categories/:categoryId ## Update enterprise group service category - [PATCH /v1/enterprise-group-services/categories/{categoryId}](https://timify-dev-api.redocly.app/apis/openapi/enterprise-group-services/patchv1enterprisegroupservicescategoriesbycategoryid.md): Update an enterprise group service category. ## Delete enterprise group service - [DELETE /v1/enterprise-group-services/{groupServiceId}](https://timify-dev-api.redocly.app/apis/openapi/enterprise-group-services/deletev1enterprisegroupservicesbygroupserviceid.md): The URL parameter "serviceId" can be used in two ways: - use the unique ID of the service assigned by TIMIFY ("serviceId"). In this case, you don't need the QUERY parameter "external" - use the "externalId" that you added to this service. In this case, you need to add the parameter "external" ( for ex.: /?external=1) so the Developer API will search by your "externalId" and not by "serviceId" assigned by TIMIFY You can add "externalId" to the service with the Developer API endpoints POST /services and PATCH /service/:serviceId ## Fetch enterprise group service - [GET /v1/enterprise-group-services/{groupServiceId}](https://timify-dev-api.redocly.app/apis/openapi/enterprise-group-services/getv1enterprisegroupservicesbygroupserviceid.md): The URL parameter "groupServiceId" can be used in two ways: - use the unique ID of the service assigned by TIMIFY ("groupServiceId"). In this case, you don't need the QUERY parameter "external" - use the "externalId" that you added to this service. In this case, you need to add the parameter "external" ( for ex.: /?external=1) so the Developer API will search by your "externalId" and not by "serviceId" assigned by TIMIFY You can add "externalId" to the service with the Developer API endpoints POST /services and PATCH /services/:groupServiceId ## Update enterprise group service - [PATCH /v1/enterprise-group-services/{groupServiceId}](https://timify-dev-api.redocly.app/apis/openapi/enterprise-group-services/patchv1enterprisegroupservicesbygroupserviceid.md): The URL parameter "groupServiceId" can be used in two ways: - use the unique ID of the group service assigned by TIMIFY ("groupServiceId"). In this case, you don't need the QUERY parameter "external" - use the "externalId" that you added to this service. In this case, you need to add the parameter "external" ( for ex.: /?external=1) so the Developer API will search by your "externalId" and not by "groupServiceId" assigned by TIMIFY You can add "externalId" to the group service with the Developer API